<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.xwpf.usermodel Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.xwpf.usermodel Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/model/package-tree.html">Prev</a></li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.xwpf.usermodel</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/FootnoteEndnoteIdManager.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">FootnoteEndnoteIdManager</span></a>
                </li>
                <li type="circle">org.apache.poi.ooxml.<a
                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                        title="class in org.apache.poi.ooxml"><span class="typeNameLink">POIXMLDocumentPart</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.ooxml.<a
                                href="../../../../../org/apache/poi/ooxml/POIXMLDocument.html"
                                title="class in org.apache.poi.ooxml"><span
                                class="typeNameLink">POIXMLDocument</span></a> (implements java.io.Closeable)
                            <ul>
                                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFDocument</span></a>
                                    (implements org.apache.poi.xwpf.usermodel.<a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/Document.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">Document</a>,
                                    org.apache.poi.xwpf.usermodel.<a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">IBody</a>)
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.xddf.usermodel.chart.<a
                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                title="class in org.apache.poi.xddf.usermodel.chart"><span class="typeNameLink">XDDFChart</span></a>
                            (implements org.apache.poi.xddf.usermodel.text.<a
                                    href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                    title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a>)
                            <ul>
                                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFChart</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFAbstractFootnotesEndnotes</span></a>
                            <ul>
                                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnotes.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFEndnotes</span></a>
                                </li>
                                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnotes.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFFootnotes</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFHeaderFooter</span></a>
                            (implements org.apache.poi.xwpf.usermodel.<a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                    title="interface in org.apache.poi.xwpf.usermodel">IBody</a>)
                            <ul>
                                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFFooter</span></a>
                                </li>
                                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFHeader</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">XWPFNumbering</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFPictureData</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">XWPFSettings</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">XWPFStyles</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ooxml.<a href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                                          title="class in org.apache.poi.ooxml"><span
                        class="typeNameLink">POIXMLFactory</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFactory.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">XWPFFactory</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ooxml.<a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                          title="class in org.apache.poi.ooxml"><span
                        class="typeNameLink">POIXMLRelation</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">XWPFRelation</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/PositionInParagraph.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span
                        class="typeNameLink">PositionInParagraph</span></a></li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/TextSegment.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">TextSegment</span></a>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/TOC.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">TOC</span></a></li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFAbstractFootnoteEndnote</span></a>
                    (implements org.apache.poi.xwpf.usermodel.<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                            title="interface in org.apache.poi.xwpf.usermodel">IBody</a>, java.lang.Iterable&lt;T&gt;)
                    <ul>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnote.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">XWPFEndnote</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnote.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">XWPFFootnote</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFAbstractNum</span></a>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractSDT.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFAbstractSDT</span></a>
                    (implements org.apache.poi.xwpf.usermodel.<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
                            title="interface in org.apache.poi.xwpf.usermodel">ISDTContents</a>)
                    <ul>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDT.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFSDT</span></a>
                            (implements org.apache.poi.xwpf.usermodel.<a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                    title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>,
                            org.apache.poi.xwpf.usermodel.<a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/IRunBody.html"
                                    title="interface in org.apache.poi.xwpf.usermodel">IRunBody</a>,
                            org.apache.poi.xwpf.usermodel.<a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/IRunElement.html"
                                    title="interface in org.apache.poi.xwpf.usermodel">IRunElement</a>,
                            org.apache.poi.xwpf.usermodel.<a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
                                    title="interface in org.apache.poi.xwpf.usermodel">ISDTContents</a>)
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTCell.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">XWPFSDTCell</span></a> (implements org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/ICell.html"
                                title="interface in org.apache.poi.xwpf.usermodel">ICell</a>)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFComment.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFComment</span></a>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDefaultParagraphStyle.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFDefaultParagraphStyle</span></a>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDefaultRunStyle.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span
                        class="typeNameLink">XWPFDefaultRunStyle</span></a></li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHyperlink.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span
                        class="typeNameLink">XWPFHyperlink</span></a></li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFLatentStyles.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span
                        class="typeNameLink">XWPFLatentStyles</span></a></li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFNum</span></a>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span
                        class="typeNameLink">XWPFParagraph</span></a> (implements org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                        title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>,
                    org.apache.poi.xwpf.usermodel.<a href="../../../../../org/apache/poi/xwpf/usermodel/IRunBody.html"
                                                     title="interface in org.apache.poi.xwpf.usermodel">IRunBody</a>,
                    org.apache.poi.xwpf.usermodel.<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
                            title="interface in org.apache.poi.xwpf.usermodel">ISDTContents</a>,
                    org.apache.poi.wp.usermodel.<a href="../../../../../org/apache/poi/wp/usermodel/Paragraph.html"
                                                   title="interface in org.apache.poi.wp.usermodel">Paragraph</a>)
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPicture.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFPicture</span></a>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFRun</span></a>
                    (implements org.apache.poi.wp.usermodel.<a
                            href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html"
                            title="interface in org.apache.poi.wp.usermodel">CharacterRun</a>,
                    org.apache.poi.xwpf.usermodel.<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/IRunElement.html"
                            title="interface in org.apache.poi.xwpf.usermodel">IRunElement</a>,
                    org.apache.poi.xwpf.usermodel.<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
                            title="interface in org.apache.poi.xwpf.usermodel">ISDTContents</a>)
                    <ul>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFieldRun.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">XWPFFieldRun</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHyperlinkRun.html"
                                title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFHyperlinkRun</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTContent.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFSDTContent</span></a>
                    (implements org.apache.poi.xwpf.usermodel.<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContent.html"
                            title="interface in org.apache.poi.xwpf.usermodel">ISDTContent</a>)
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTContentCell.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span
                        class="typeNameLink">XWPFSDTContentCell</span></a> (implements org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContent.html"
                        title="interface in org.apache.poi.xwpf.usermodel">ISDTContent</a>)
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFStyle</span></a>
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFTable</span></a>
                    (implements org.apache.poi.xwpf.usermodel.<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                            title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>,
                    org.apache.poi.xwpf.usermodel.<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
                            title="interface in org.apache.poi.xwpf.usermodel">ISDTContents</a>)
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span
                        class="typeNameLink">XWPFTableCell</span></a> (implements org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                        title="interface in org.apache.poi.xwpf.usermodel">IBody</a>, org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/ICell.html"
                        title="interface in org.apache.poi.xwpf.usermodel">ICell</a>)
                </li>
                <li type="circle">org.apache.poi.xwpf.usermodel.<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html"
                        title="class in org.apache.poi.xwpf.usermodel"><span
                        class="typeNameLink">XWPFTableRow</span></a></li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                href="../../../../../org/apache/poi/xwpf/usermodel/Document.html"
                title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Document</span></a></li>
        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">IBody</span></a></li>
        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">IBodyElement</span></a>
        </li>
        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                href="../../../../../org/apache/poi/xwpf/usermodel/ICell.html"
                title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">ICell</span></a></li>
        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                href="../../../../../org/apache/poi/xwpf/usermodel/IRunBody.html"
                title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">IRunBody</span></a></li>
        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                href="../../../../../org/apache/poi/xwpf/usermodel/IRunElement.html"
                title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">IRunElement</span></a>
        </li>
        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContent.html"
                title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">ISDTContent</span></a>
        </li>
        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
                title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">ISDTContents</span></a>
        </li>
    </ul>
    <h2 title="Enum Hierarchy">Enum Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;,
                    java.io.Serializable)
                    <ul>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/TextAlignment.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">TextAlignment</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.FontCharRange.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFRun.FontCharRange</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/Borders.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Borders</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/TableWidthType.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">TableWidthType</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/BodyType.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">BodyType</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/TableRowAlign.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">TableRowAlign</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/ParagraphAlignment.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">ParagraphAlignment</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFTable.XWPFBorderType</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/UnderlinePatterns.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">UnderlinePatterns</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/VerticalAlign.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">VerticalAlign</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">XWPFTableCell.XWPFVertAlign</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/BreakClear.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">BreakClear</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/BreakType.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">BreakType</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/BodyElementType.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">BodyElementType</span></a></li>
                        <li type="circle">org.apache.poi.xwpf.usermodel.<a
                                href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                title="enum in org.apache.poi.xwpf.usermodel"><span
                                class="typeNameLink">LineSpacingRule</span></a></li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/model/package-tree.html">Prev</a></li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
